Bug 97385 - www/mod_auth_kerb configure script faults with heimdal
Summary: www/mod_auth_kerb configure script faults with heimdal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-17 06:30 UTC by Andrei Fomin
Modified: 2007-07-23 15:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Fomin 2006-05-17 06:30:17 UTC
Can't install mod_auth_kerb with heimdal backend. Configure failed.

#cd /usr/ports/www/mod_auth_kerb

#make config
(Set [X] BASE_KERBEROS5  Use the base Kerberos 5 (Heimdal))

#make
...
...
checking gssapi.h usability... no
checking gssapi.h presence... no
checking for gssapi.h... no
checking gssapi/gssapi.h usability... no
checking gssapi/gssapi.h presence... no
checking for gssapi/gssapi.h... no
checking for krb5_init_context in -lkrb5... no
checking for krb5_init_context in -lkrb5... (cached) no
checking for krb5_init_context in -lkrb5... (cached) no
configure: error: No Kerberos enviroment found
===>  Script "configure" failed unexpectedly.
Please report the problem to apache@FreeBSD.org [maintainer] and attach the
"/usr/ports/www/mod_auth_kerb/work/mod_auth_kerb-5.0-rc6/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/www/mod_auth_kerb.

Fix: 

Change Makefile.

The original lines 

 .if defined(WITH_BASE_KERBEROS5)
 KRB5_HOME=      /usr
 .else

was changed to 

 .if defined(WITH_BASE_KERBEROS5)
 KRB5_HOME=      ${LOCALBASE}
 .else

And "make" works properly.
How-To-Repeat: See above.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-05-30 20:12:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

Over to maintainer(s).
Comment 2 Pav Lucistnik freebsd_committer 2007-03-14 20:22:10 UTC
State Changed
From-To: open->feedback

Can you try it with mod_auth_kerb-5.1 ?
Comment 3 Dirk Meyer freebsd_committer 2007-07-23 15:34:50 UTC
Responsible Changed
From-To: apache->dinoex

I will take care of it.
Comment 4 dfilter service freebsd_committer 2007-07-23 15:45:24 UTC
dinoex      2007-07-23 14:45:19 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_auth_kerb    Makefile 
  Log:
  - drop confusing OPTIONS
  - support build with heimdal from ports
  PR:             97385
  
  Revision  Changes    Path
  1.18      +9 -11     ports/www/mod_auth_kerb/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dirk Meyer freebsd_committer 2007-07-23 15:45:36 UTC
State Changed
From-To: feedback->closed

a fix was committed, thanks.